## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pytest-golden
Version:        0.2.2
Release:        %autorelease
Summary:        Plugin for pytest that offloads expected outputs to data files

License:        MIT
URL:            https://github.com/oprypin/pytest-golden
# PyPI tarball doesn't include tests
Source:         %{url}/archive/v%{version}/pytest-golden-%{version}.tar.gz
# Drop Python 3.6
Patch:          %{url}/commit/e42d7a786083f957ae7cfa09548c94e8abfa2944.patch
# Migrate to Hatch build and mypy type checker
Patch:          %{url}/commit/70df82de02b88781d5d23b1e1f170f7ecb5e42bf.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
This package provides a plugin for pytest that offloads expected outputs to
data files.}

%description %_description

%package -n     python3-pytest-golden
Summary:        %{summary}

%description -n python3-pytest-golden %_description

%prep
%autosetup -p1 -n pytest-golden-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -L pytest_golden

%check
%pytest -v

%files -n python3-pytest-golden -f %{pyproject_files}
%license LICENSE.md
%doc README.md

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.2.2-4
- Rebuilt for Python 3.14

* Wed Feb 19 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.2-3
- Backport upstream commits to switch from poetry to hatch

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 13 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.2-1
- Initial import; Fixes: RHBZ#2332084
## END: Generated by rpmautospec
